Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# deref_compose Class Template Reference
[Models]

`#include <utilities.hpp>`

Inheritance diagram for deref_compose:

List of all members.

## Detailed Description

### template<typename D1, typename D2>
class boost::gil::deref_compose< D1, D2 >

Composes two dereference function objects. Similar to std::unary_compose but needs to pull some typedefs from the component types. Models: PixelDereferenceAdaptorConcept.

## Public Types

typedef D2::argument_type | argument_type
typedef D1::result_type | result_type

## Public Member Functions

| deref_compose (const D1 &x, const D2 &y)
| deref_compose (const deref_compose &dc)
template<typename _D1, typename _D2>
| deref_compose (const deref_compose< _D1, _D2 > &dc)
result_type | operator() (argument_type x) const
result_type | operator() (argument_type x)

## Public Attributes

D1 | _fn1
D2 | _fn2

The documentation for this class was generated from the following file:

- utilities.hpp